Loading...
Searching...
No Matches
pappso::TimsDiaSlices::MsMsWindow Struct Reference

`#include <timsdiaslices.h>`

## Public Member Functions

bool | isMzInRange (double mz) const
| tell if given mz is in range for this window

## Public Attributes

std::size_t | SliceIndex = 0
std::size_t | WindowGroup
std::size_t | ScanNumBegin
std::size_t | ScanNumEnd
double | IsolationMz
double | IsolationWidth
double | CollisionEnergy

## Detailed Description

Definition at line 50 of file timsdiaslices.h.

## Member Function Documentation

## isMzInRange()

bool pappso::TimsDiaSlices::MsMsWindow::isMzInRange | ( | double | mz | ) | const

tell if given mz is in range for this window

Definition at line 37 of file timsdiaslices.cpp.

{
double half_window = IsolationWidth / 2;
if(mz < (IsolationMz - half_window))
return false;
if(mz > (IsolationMz + half_window))
return false;
return true;
}
pappso::TimsDiaSlices::MsMsWindow::IsolationMz
double IsolationMz
Definition timsdiaslices.h:60
pappso::TimsDiaSlices::MsMsWindow::IsolationWidth
double IsolationWidth
Definition timsdiaslices.h:61

References IsolationMz, and IsolationWidth.

## Member Data Documentation

## CollisionEnergy

double pappso::TimsDiaSlices::MsMsWindow::CollisionEnergy

Definition at line 62 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex().

## IsolationMz

double pappso::TimsDiaSlices::MsMsWindow::IsolationMz

Definition at line 60 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), and isMzInRange().

## IsolationWidth

double pappso::TimsDiaSlices::MsMsWindow::IsolationWidth

Definition at line 61 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), and isMzInRange().

## ScanNumBegin

std::size_t pappso::TimsDiaSlices::MsMsWindow::ScanNumBegin

Definition at line 58 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex().

## ScanNumEnd

std::size_t pappso::TimsDiaSlices::MsMsWindow::ScanNumEnd

Definition at line 59 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex().

## SliceIndex

std::size_t pappso::TimsDiaSlices::MsMsWindow::SliceIndex = 0

Definition at line 56 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::MsMsWindowGroupList::addInGroup(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex().

## WindowGroup

std::size_t pappso::TimsDiaSlices::MsMsWindow::WindowGroup

Definition at line 57 of file timsdiaslices.h.

Referenced by pappso::TimsDiaSlices::MsMsWindowGroupList::addInGroup(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), and pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex().

The documentation for this struct was generated from the following files:

- pappsomspp/core/vendors/tims/timsdiaslices.h
- pappsomspp/core/vendors/tims/timsdiaslices.cpp